<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class AnggotaKartuKeluarga extends Model
{
    use HasFactory;

    protected $table = 'anggota_kartu_keluarga';

    protected $fillable = [
        'kartu_keluarga_id',
        'penduduk_id',
        'hubungan',
    ];

    /**
     * Get the kartuKeluarga that owns the AnggotaKartuKeluarga
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function kartuKeluarga(): BelongsTo
    {
        return $this->belongsTo(KartuKeluarga::class);
    }

    public function kartuKeluarga2(): BelongsTo
    {
        return $this->belongsTo(KartuKeluarga::class, 'penduduk_id');
    }

    /**
     * Get the penduduk that owns the AnggotaKartuKeluarga
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function penduduk(): BelongsTo
    {
        return $this->belongsTo(Penduduk::class, 'penduduk_id');
    }
}